changeset 25:1c4fb56f3cd5

add extension .sh to libvirt
author taiki <taiki@cr.ie.u-ryukyu.ac.jp>
date Mon, 21 Jul 2014 12:14:12 -1000
parents e372e7648da0
children 76bd473f3b78
files libvirtd libvirtd.sh newvm.py
diffstat 3 files changed, 55 insertions(+), 49 deletions(-) [+]
line wrap: on
line diff
--- a/libvirtd	Mon Jul 21 09:05:59 2014 -1000
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,48 +0,0 @@
-#! /bin/sh
-### BEGIN INIT INFO
-# Provides:          atd
-# Required-Start:    $syslog $time $remote_fs
-# Required-Stop:     $syslog $time $remote_fs
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: Deferred execution scheduler
-# Description:       Debian init script for the atd deferred executions
-#                    scheduler
-### END INIT INFO
-#
-# Author:	TaikiTAIRA	
-#
-
-PATH=/bin:/usr/bin:/sbin:/usr/sbin:/usr/local/sbin
-DAEMON=/usr/local/sbin/libvirtd
-PIDFILE=/usr/local/var/run/libvirtd.pid
-
-test -x $DAEMON || exit 0
-
-. /lib/lsb/init-functions
-
-case "$1" in
-  start)
-	log_daemon_msg "Starting libvirt daemon." "libvirt"
-	start_daemon -p $PIDFILE $DAEMON -d
-	log_end_msg $?
-    ;;
-  stop)
-	log_daemon_msg "Stopping stop libvirt daemon" "libvirt"
-	killproc -p $PIDFILE $DAEMON
-	log_end_msg $?
-    ;;
-  force-reload|restart)
-    $0 stop
-    $0 start
-    ;;
-  status)
-    status_of_proc -p $PIDFILE $DAEMON libvirtd && exit 0 || exit $?
-    ;;
-  *)
-    echo "Usage: /etc/init.d/libvirtd {start|stop|restart|force-reload|status}"
-    exit 1
-    ;;
-esac
-
-exit 0
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/libvirtd.sh	Mon Jul 21 12:14:12 2014 -1000
@@ -0,0 +1,48 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          atd
+# Required-Start:    $syslog $time $remote_fs
+# Required-Stop:     $syslog $time $remote_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Deferred execution scheduler
+# Description:       Debian init script for the atd deferred executions
+#                    scheduler
+### END INIT INFO
+#
+# Author:	TaikiTAIRA	
+#
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin:/usr/local/sbin
+DAEMON=/usr/local/sbin/libvirtd
+PIDFILE=/usr/local/var/run/libvirtd.pid
+
+test -x $DAEMON || exit 0
+
+. /lib/lsb/init-functions
+
+case "$1" in
+  start)
+	log_daemon_msg "Starting libvirt daemon." "libvirt"
+	start_daemon -p $PIDFILE $DAEMON -d
+	log_end_msg $?
+    ;;
+  stop)
+	log_daemon_msg "Stopping stop libvirt daemon" "libvirt"
+	killproc -p $PIDFILE $DAEMON
+	log_end_msg $?
+    ;;
+  force-reload|restart)
+    $0 stop
+    $0 start
+    ;;
+  status)
+    status_of_proc -p $PIDFILE $DAEMON libvirtd && exit 0 || exit $?
+    ;;
+  *)
+    echo "Usage: /etc/init.d/libvirtd {start|stop|restart|force-reload|status}"
+    exit 1
+    ;;
+esac
+
+exit 0
--- a/newvm.py	Mon Jul 21 09:05:59 2014 -1000
+++ b/newvm.py	Mon Jul 21 12:14:12 2014 -1000
@@ -4,6 +4,7 @@
 import sys,os
 from optparse import OptionParser
 from virtinst.util import *
+
 if sys.version_info < (2,5):
     import lxml.etree as ET
 else:
@@ -12,6 +13,8 @@
 # vm_name should be
 #     students/e10/e105730/01
 #     teachers/kono/01
+#     manager/name/01
+#     guest/name/01
 #     bad name returns 1
 def ie_check_name(name):
     m=re.match('^students/e(\d\d)/e(\d\d)5\d\d\d/0[1-4]$',name)
@@ -61,6 +64,9 @@
 parser.add_option("-c", "--config", dest="config",
         help="Template VM XML config file");
 
+parser.add_option("-i", "--iso", dest="iso",
+        help="When boot VM from ISO");
+
 (options, args) = parser.parse_args();
 
 if not options.name or not options.config:
@@ -73,7 +79,7 @@
 if ie_check_name(vm_name):
     print "Bad vmname %s. Try students/e11/e115711/01 or teachers/kono/02" % vm_name
     sys.exit(1)
-print "== ie-mkdir == "
+
 ie_mkdir(vm_name)
 name = config.find('name')
 name.text = vm_name